Subject: Cross-compile for aarch64

From: Andy Ruddock <[email-masked]>
Date: Fri, 12 Jun 2020 13:21:32 +0100

Hi,

I'm new to Alpine Linux, trying to cross-compile the kernel for
raspberry pi4.
I've started off by cloning aports and then running

$ scripts/bootstrap.sh aarch64

This runs for a while and ends up with the following (snipped for brevity).

>>> libgcc*: Running postcheck for libgcc
>>> libstdc++*: Running split function libcxx...
nm:
'/home/andyr/src/aports/main/gcc/pkg/gcc-aarch64/usr/lib/libstdc++.so.*': No
such file
>>> ERROR: libstdc++*: libcxx failed
>>> ERROR: gcc-aarch64*: prepare_subpackages failed
>>> ERROR: gcc-aarch64: rootpkg failed
>>> gcc-aarch64: Uninstalling dependencies...
(1/11) Purging .makedepends-gcc-aarch64 (20200612.113700)
(2/11) Purging paxmark (0.12-r0)

I don't know where to go from here, not having experience with abuild.

Help/pointers gratefully accepted.

-- 
Andy Ruddock
------------
[email-masked] (OpenPGP Key ID 0xB0324245)